apiVersion: v1
kind: Service
metadata:
  name: {{ include "introspect-webapp.fullname" . }}-webapp
  labels:
    app.kubernetes.io/name: {{ include "introspect-webapp.name" . }}
    helm.sh/chart: {{ include "introspect-webapp.chart" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    app.kubernetes.io/managed-by: {{ .Release.Service }}
    app.introspectdev.io/role: webapp
spec:
  type: {{ .Values.webapp.service.type }}
  ports:
    - port: {{ .Values.webapp.service.port }}
      targetPort: http
      protocol: TCP
      name: http
  selector:
    app.kubernetes.io/name: {{ include "introspect-webapp.name" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    app.introspectdev.io/role: webapp
